# Test: Extra unknown fields in metadata
# Expected: FAIL
# Error code: unrecognized_keys
# Error path: agent.metadata
# Error keys: ["unknown_field", "another_extra"]

agent:
  metadata:
    id: extra-fields
    name: Extra Fields
    title: Extra Fields
    icon: ❌
    hasSidecar: false
    unknown_field: This is not allowed
    another_extra: Also invalid

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: help
      description: Show help
      action: display_help
